Validate Xml
API endpoints to validate XML documents against their schema definitions and/or predefined scanning rules
/api/v1/validate-xml
Parses and validates an XML string against a provided schema and/or predefined set of rules
This endpoint accepts requests to validate an XML document against a provided XML schema definition. Alternatively or in addition to, the endpoint can scan the provided XML document against Glasswall's set of predefined rules.'
query Parameters
policyNameNamed policy to configure XML validation call
Headers
X-Session-IdA string that can be used to group requests in reports
/api/v1/validate-xml › Request Body
fileThis field contains the XML document to be validated.
schemaRequired if Validate is set to 'true'. This field contains the XML Schema definition to validate the document against.
policyInline policy to configure xml validation behaviours
/api/v1/validate-xml › Responses
OK
validationResultsErrors encountered when validating the provided XML document